body {
    min-height: 100vh;
    margin: 0;
}
ul.menu {
    display: none;
    list-style: none;
    position: absolute;
    right: 100px;
    top: 95px;
    margin: 0;
}
ul.open {
  display: block;
}
li{
    border: 1px solid black;
    width: 200px;
    text-align: center;
    border-radius: 20px;
}
a{
    text-decoration: none;
    display: block;
    line-height: 40px;
}
li:nth-child(2),
li:nth-child(3){
    border-top: 0px;
}
li:active{
    background:#ffc1f3;
}
.burg {
    position: absolute;
    right: 65px;
    width: 30px;
    height: 30px;
    cursor: pointer;
    top: 65px;
}
.line{
    width: 30px;
    height: 6px;
    background-color: black;
    margin-top: 6px;
    border-radius: 2px;
}
.line:first-child{
    margin: 0;
}
.close div:nth-child(2) {
    display: none;
}
.close div:nth-child(1),
.close div:nth-child(3){
    margin: 0;
    position: absolute;
    width: 35px;
}
.close div:nth-child(1){
    transform: rotate(45deg);
    transform-origin: left bottom;
}
.close div:nth-child(3){
    transform: rotate(-45deg);
    transform-origin: right bottom;
    top: 0;
    right: 0;
}
